package com.thebrokenrail.energonrelics.client.rei.reactor;

import com.thebrokenrail.energonrelics.client.rei.EnergonRelicsPlugin;
import me.shedaniel.rei.api.EntryStack;
import me.shedaniel.rei.api.RecipeDisplay;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.item.ItemStack;
import net.minecraft.util.Identifier;

import java.util.Collections;
import java.util.List;

@Environment(EnvType.CLIENT)
public class ReactorFuelDisplay implements RecipeDisplay {
    private final EntryStack input;
    public final float multiplier;

    public ReactorFuelDisplay(ItemStack input, float multiplier) {
        this.input = EntryStack.create(input);
        this.multiplier = multiplier;
    }

    @Override
    public List<List<EntryStack>> getInputEntries() {
        return Collections.singletonList(Collections.singletonList(input));
    }

    @Override
    public List<List<EntryStack>> getResultingEntries() {
        return Collections.emptyList();
    }

    @Override
    public Identifier getRecipeCategory() {
        return EnergonRelicsPlugin.REACTOR_FUEL;
    }

    @Override
    public List<List<EntryStack>> getRequiredEntries() {
        return getInputEntries();
    }
}
